%{!?dist:%define _with_modxorg 1}
%{?fc5:%define _with_modxorg 1}

Summary: Media player with the Winamp GUI
Name: audacious
Version: 1.1.2
Release: b1
License: GPL
Group: Applications/Multimedia
URL: http://audacious-media-player.org/
Source: audacious-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): /sbin/ldconfig, desktop-file-utils
Requires(postun): /sbin/ldconfig, desktop-file-utils
BuildRequires: gtk2-devel, libglade2-devel, SDL-devel
#BuildRequires: libvisual-devel, gettext-devel, libmpcdec-devel
#BuildRequires: libogg-devel, libvorbis-devel, flac-devel, id3lib-devel
BuildRequires: alsa-lib-devel, esound-devel, taglib-devel
%{?_with_vfs:BuildRequires: gnome-vfs2-devel}
%{!?_without_gconf:BuildRequires: GConf2-devel}
%{?_with_lirc:BuildRequires: lirc-devel}
#BuildRequires: libsndfile-devel, libsamplerate-devel, libsidplay-devel
#Buildrequires: libmusicbrainz-devel, curl-devel, bc
BuildRequires: ImageMagick
%{?_with_modxorg:BuildRequires: libXext-devel, libXt-devel}

BuildArchitectures: i586


%description
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

%package devel
Summary: Development files for the audacious media player
Group: Development/Libraries
Requires: %{name} = %{version}, gtk2-devel, pkgconfig
%{?_with_vfs:Requires: gnome-vfs2-devel}
%{!?_without_gconf:Requires: GConf2-devel}
%{?_with_modxorg:Requires: libXext-devel, libXt-devel}

%description devel
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

Development files required to develop plugins for audacious.


%prep
%setup
patch -p1 -b < audacious-0.1.2-default-alsa.patch
patch -p1 -b < audacious-config.patch


%build
%configure \
    --disable-rpath \
    %{!?_without_gconf:--enable-gconf} \
    %{?_with_vfs:--enable-gnome-vfs} \
    --with-xmms-eq \
    --enable-sid \
    --enable-amidiplug
%{__make} %{?_smp_mflags}

find . -print | xargs file | grep "not stripped" | awk -F: '{print $1}' | xargs strip


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}
%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
convert audacious/images/audacious_player.xpm \
    %{buildroot}%{_datadir}/pixmaps/audacious.png


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig
update-desktop-database -q || :

%postun
/sbin/ldconfig
update-desktop-database -q || :


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/audacious
%{_libdir}/audacious/
%{_libdir}/libaudacious.so.*
%{_libdir}/amidi-plug/
%{_datadir}/applications/audacious.desktop
%{_datadir}/audacious/
%{_datadir}/pixmaps/audacious.png
%{_mandir}/man1/audacious.1*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/audacious/
%{_libdir}/pkgconfig/audacious.pc
%{_libdir}/libaudacious.so


%changelog
* Mon Sep 11 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
